import java.awt.*;

public abstract class Player {
    private boolean myTurn;
    private boolean isServer;
    private boolean waitingForResponse;
    private Player enemy;
    private String name;
    private Board board;

    public void receiveShoot(Point point) {

    }

    public void receiveHit(HitResponse hitResponse) {

    }

    public void click(Point point) {

    }

    public void beginTrun() {

    }
}
